function R = rtsOffsetPlots(D, s)
%This function offsets a series of plots in D by intervals of s
%R = the resulting offset data
%D = the data as a 2D matrix
%s = the interval used as an offset

 nPlots = size(D, 2);
 
 offsetMat = repmat(1:nPlots, size(D, 1), 1) * s;
 
 R = D + offsetMat;